# class Byebug::PutLCommand

Evaluation, pretty printing and columnizing from byebug's prompt.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/eval.rb, line 172
    def description
      prettify <<-EOD
        putl <expression>

        Evaluates <expression>, an array, and columnize its value.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/eval.rb, line 168
    def names
      %w(putl)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/eval.rb, line 151
    def execute
      out = StringIO.new
      run_with_binding do |b|
        res = eval_with_setting(b, @match.post_match, Setting[:stack_on_error])

        if res.is_a?(Array)
          puts "#{columnize(res.map(&:to_s), Setting[:width])}"
        else
          PP.pp(res, out)
          puts out.string
        end
      end
    rescue
      out.puts $ERROR_INFO.message
    end

regexp() click to toggle source

    # File lib/byebug/commands/eval.rb, line 147
    def regexp
      /^\s* putl \s+/x
    end